# Emails Object

> Source: https://truto.one/docs/api-reference/unified-emails-api/emails/

Schema for the `Emails` resource in **Unified Emails API**.

## Properties

- **`id`** _(string)_
  The unique identifier for the email
- **`from`** _(string)_
  Sender email address
- **`to`** _(array<string>)_
  Recipient email addresses
- **`cc`** _(array<string>)_
  CC email addresses
- **`bcc`** _(array<string>)_
  BCC email addresses
- **`subject`** _(string)_
  Email subject
- **`content`** _(object)_
  - **`type`** _(string)_
    Content type of the email
    Allowed: `plain_text`, `html`
  - **`value`** _(string)_
    The body of the email in the selected format
- **`headers`** _(object)_
  Custom headers for the email
- **`reply_to`** _(array<string>)_
  Reply-to email address
- **`priority`** _(string)_
  Priority of the email
  Allowed: `high`, `normal`, `low`
- **`folder`** _(object)_
  The folder where the email is stored
  - **`id`** _(string)_
    The unique identifier for a folder
- **`is_draft`** _(boolean)_
  Indicates whether the email is saved as a draft (created but not sent yet). If true, the email is still edited or waiting to be sent
  Allowed: `true`, `false`
- **`attachments`** _(array<object>)_
  The attachments of the email
  - **`id`** _(string)_
    The unique identifier for the attachment
  - **`file_name`** _(string)_
    The attachment's name
  - **`file_url`** _(string)_
    The URL to download the attachment
  - **`content_type`** _(string)_
    The content type of the attachment
  - **`created_at`** _(string)_
    The time when the attachment was created
- **`urls`** _(array<object>)_
  The email's urls
  - **`url`** _(string)_
    The email's URL
  - **`type`** _(string)_
    The email's URL type
- **`created_at`** _(string)_
  The date and time the email was created
- **`updated_at`** _(string)_
  The date and time the email was last updated
- **`sent_at`** _(string)_
  The date and time the email was sent
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/emails/emails](/docs/api-reference/unified-emails-api/emails/list) — List Emails
- [POST /unified/emails/emails](/docs/api-reference/unified-emails-api/emails/create) — Create Emails
- [GET /unified/emails/emails/{id}](/docs/api-reference/unified-emails-api/emails/get) — Get Emails
- [DELETE /unified/emails/emails/{id}](/docs/api-reference/unified-emails-api/emails/delete) — Delete Emails
- [PATCH /unified/emails/emails/{id}](/docs/api-reference/unified-emails-api/emails/update) — Update Emails
- [POST /unified/emails/emails/send](/docs/api-reference/unified-emails-api/emails/send) — Send Emails
- [POST /unified/emails/emails/send-draft](/docs/api-reference/unified-emails-api/emails/send-draft) — Send Draft Emails
- [POST /unified/emails/emails/reply](/docs/api-reference/unified-emails-api/emails/reply) — Reply Emails
- [POST /unified/emails/emails/reply-all](/docs/api-reference/unified-emails-api/emails/reply-all) — Reply All Emails
